Bug 198927 - Undefined symbol in gnomevfs python module
Undefined symbol in gnomevfs python module
Product: Fedora
Classification: Fedora
Component: gnome-python2 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Depends On:
Blocks: FC6Blocker
  Show dependency treegraph
Reported: 2006-07-14 15:16 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-19 11:17:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-07-14 15:16:57 EDT

[lmacken@crow ~]$ python
Python 2.4.3 (#1, Jul 12 2006, 19:35:31) 
[GCC 4.1.1 20060711 (Red Hat 4.1.1-7)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import gnomevfs
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: /usr/lib/python2.4/site-packages/gtk-2.0/gnomevfs.so: undefined
symbol: gnome_vfs_mime_get_all_components
Comment 1 Harald Hoyer 2006-07-18 10:01:17 EDT
system-config-network and system-config-httpd do run without this, cause they
use gnome.ui.About()

$ python -c 'import gnome.ui'
Fatal Python error: could not import gnomevfs
Comment 2 Harald Hoyer 2006-07-18 10:54:01 EDT
moving on FC6Blocker
Comment 3 Harald Hoyer 2006-07-18 11:42:31 EDT
replaced gnome.ui.About() with gtk.AboutDialog() .. worksforme

but, as soon as I load glade files with GnomeDruids, I have to import gnome.ui,
otherwise, I cannot access any methods.

File "system-config-network/src/netconfpkg/gui/NewInterfaceDialog.py", line 111,
in on_start_page_prepare
    self.druid.set_buttons_sensitive (False, True, True, True)
AttributeError: '__main__.GnomeDruid' object has no attribute
Comment 4 Ray Strode [halfline] 2006-07-19 11:17:57 EDT
should be fixed with latest libbonobo
Comment 5 Ryan Skadberg 2006-07-19 11:38:38 EDT
Works for me.
Comment 6 Harald Hoyer 2006-07-20 08:02:59 EDT
works with libbonobo-2.15.0

Note You need to log in before you can comment on or make changes to this bug.